#
# spec file for package cvs (Version 1.11.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcsh
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm tcsh

Name:         cvs
License:      GPL, LGPL
Group:        Development/Tools/Version Control
Autoreqprov:  on
Version:      1.11.6
Release:      85
Summary:      Concurrent Versions System
Requires:     /bin/mktemp
Source:       cvs-1.11.6.tar.bz2
Source1:      cvslock-0.1.tar.bz2
Source2:      xinetd.conf
Source3:      cvs.sh
Source4:      cvs.csh
Patch:        cvs-1.11.6.dif
Patch2:       diff-k.possible.patch
Patch5:       fix_sigpipe_flowcontrol.diff
Patch6:       allow_trailing_dir_slash.diff
Patch7:       use_system_zlib.diff
Patch8:       use_vitmp.diff
Patch9:       tmp-races.diff
Patch10:      new-sort-option.diff
Patch11:      patch-sec-modules.diff
Patch12:      fix-format-string.diff
Patch13:      03cvs-client-exploit-fix.diff
Patch14:      cvs-1.12.7-exploit-fix
Patch15:      cvs-krahmer-esser-1.11.x.diff
Patch16:      klocwork-security.diff
PreReq:       %install_info_prereq 
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
CVS is a front-end to the Revision Control System included in the
standard Linux distributions. PCL-CVS, an Emacs front-end for CVS, is
also included.



Authors:
--------
    Brian Berliner <berliner@sun.com>
    Jeff Polk <polk@bsdi.com>

%prep
%setup -a 1
%patch
%patch2
%patch5
%patch6
%patch7 -p1
%patch8 -p1
%patch9 
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16

%build
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
(cd cvslock-0.1 && ./configure --prefix=/usr --mandir=%{_mandir})
make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s
(cd cvslock-0.1 && make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s)

%install
make DESTDIR=$RPM_BUILD_ROOT install install-info
(cd cvslock-0.1 && make DESTDIR=$RPM_BUILD_ROOT install)
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 0644 %SOURCE3 %SOURCE4 $RPM_BUILD_ROOT/etc/profile.d
# hack to avoid csh in requires
chmod 644 $RPM_BUILD_ROOT/usr/share/cvs/contrib/sccs2rcs
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp -ai $RPM_SOURCE_DIR/xinetd.conf $RPM_BUILD_ROOT/etc/xinetd.d/cvs

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}client.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}client.info.gz

%files
%dir /usr/share/cvs
%dir /usr/share/cvs/contrib
%config(noreplace) /etc/xinetd.d/cvs
%config(noreplace) /etc/profile.d/cvs.sh
%config(noreplace) /etc/profile.d/cvs.csh
/usr/bin/cvs
/usr/bin/cvsbug
/usr/bin/rcs2log
/usr/bin/cvslock
%doc %{_infodir}/cvs.info-?.gz
%doc %{_infodir}/cvs.info.gz
%doc %{_infodir}/cvsclient.info-?.gz
%doc %{_infodir}/cvsclient.info.gz
/usr/share/cvs/contrib/cvs_acls
/usr/share/cvs/contrib/commit_prep
/usr/share/cvs/contrib/log
/usr/share/cvs/contrib/intro.doc
/usr/share/cvs/contrib/clmerge
/usr/share/cvs/contrib/log_accum
/usr/share/cvs/contrib/rcs2log
%attr(755,root,root) /usr/share/cvs/contrib/sccs2rcs
/usr/share/cvs/contrib/cvscheck
/usr/share/cvs/contrib/mfpipe
/usr/share/cvs/contrib/rcs-to-cvs
/usr/share/cvs/contrib/cvs2vendor
/usr/share/cvs/contrib/cln_hist
/usr/share/cvs/contrib/rcslock
/usr/share/cvs/contrib/README
/usr/share/cvs/contrib/debug_check_log
/usr/share/cvs/contrib/pvcs2rcs
/usr/share/cvs/contrib/check_cvs
%doc %{_mandir}/man1/cvs.1.gz
%doc %{_mandir}/man1/cvslock.1.gz
%doc %{_mandir}/man5/cvs.5.gz
%doc %{_mandir}/man8/cvsbug.8.gz

%changelog -n cvs
* Mon Apr 04 2005 - adrian@suse.de
- apply patch to fix exploitable buffer overflow (#74331)
* Fri Jun 04 2004 - adrian@suse.de
- update last patch to fix WinCVS support (20040521 version)
- new krahmer+esser security fix for (#39773)
  * error_prog_name "double-free()" (SE)
  CAN-2004-0416
  * argument integer overflow (SK)
  CAN-2004-0417
  * serve_notify() out of bound writes (SK)
  CAN-2004-0418
* Mon May 03 2004 - adrian@suse.de
- expoit-fix for malformed Entry lines. This can be exploited via
  a buffer overflow (#39773)
* Wed Apr 07 2004 - adrian@suse.de
- fix pserver client side leak (#36659)
* Thu Jan 08 2004 - adrian@suse.de
- fix format string vulnerability (#33851)
* Fri Dec 19 2003 - thomas@suse.de
- added security patch for modules path (#33631)
* Wed Aug 13 2003 - fehr@suse.de
- provide /etc/profile.d/cvs.{sh,csh} and make cvs use ssh as
  default (#28702)
* Mon Jul 14 2003 - fehr@suse.de
- update to new version 1.11.6
* Wed Jul 09 2003 - fehr@suse.de
- use new parameters for sort (#26448)
* Fri May 23 2003 - fehr@suse.de
- adopt patches for tmp-race fixes and vitmp usage from OpenWall
  Project
- use zlib from system instead of sources provided with cvs
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Wed Mar 05 2003 - fehr@suse.de
- add missing file /etc/xinetd.d/cvs (#24671)
* Fri Feb 07 2003 - fehr@suse.de
- Use %%install_info macro
  Fri Jan 31 15:27:08 CET 2003  fehr@suse.de
- fix race that may lead to aborted checkouts of large files
  (fix_sigpipe_flowcontrol.diff, #23178)
- allow trailing slashes on directories (e.g. cvs up src/)
  (allow_trailing_dir_slash.diff, #13165)
* Wed Jan 22 2003 - fehr@suse.de
- make the feature Checkin-prog/Update-prog configurable
  (default is off)
- update to version 1.11.5
* Mon Jan 20 2003 - fehr@suse.de
- disable the commands Checkin-prog/Update-prog in cvs server
  decision was made by SuSE security team (security@suse.de)
* Thu Jan 16 2003 - fehr@suse.de
- update to cvs version 1.11.4
- add a patch that fixes a possible double free in cvs server
* Sat Feb 23 2002 - kukuk@suse.de
- Don't require tcsh [Bug #13424]
* Fri Feb 08 2002 - draht@suse.de
- added patch cvs-1.11.1p1-zlib-zfree.dif against duplicate calls
  of free() in zlib
* Fri Dec 14 2001 - fehr@suse.de
- update to new version 1.11.1p1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - fehr@suse.de
- add diff-k.possible.patch which fixes problem when using
  cvs diff -k.. (#6653)
* Fri Feb 09 2001 - schwab@suse.de
- Ignore $HOME when running as server (#6293).
* Tue Jan 16 2001 - werner@suse.de
- Make last security patch smarter: Ignore not existing temp files
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Mon Sep 25 2000 - fehr@suse.de
- changed to new version 1.11
* Fri Aug 25 2000 - fehr@suse.de
- changed to new version 1.10.8
* Tue Jul 11 2000 - fehr@suse.de
- add tcsh to needforbuild to fix a csh-dependet script
* Mon Mar 13 2000 - ro@suse.de
- fixed possible segfault
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - fehr@suse.de
- changed to version 1.10.7
* Fri Aug 27 1999 - fehr@suse.de
- added cvslock package
* Tue Jul 20 1999 - florian@suse.de
- update to 1.10.6, add server patch
* Fri Feb 19 1999 - uli@suse.de
- update 1.9.28 -> 1.10.5
- eliminated Makefile.Linux
* Thu Jul 23 1998 - werner@suse.de
- use mktemp
* Thu Jul 16 1998 - florian@suse.de
- update to version 1.9.28
* Wed Jul 15 1998 - werner@suse.de
- Fix possible exploit of rcs2log.sh
* Mon Mar 02 1998 - florian@suse.de
- update to version 1.9.24
* Fri Oct 10 1997 - florian@suse.de
- update to version 1.9.16
* Wed Apr 30 1997 - florian@suse.de
- update to version 1.9.8
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.9.2
